RPC.IDMAPD(8)

NOM
rpc.idmapd - mappage identifiant NFSv4 <-> nom

SYNOPSIS
rpc.idmapd [-h] [-f] [-v] [-C] [-S] [-p chemin] [-c chemin]

DESCRIPTION
idmapd est le démon pour le mappage nom <-> ID NFSv4. Il fournit cette fonctionnalité au client et au serveur du noyau NFSv4, avec lesquels il communique par des appels, en traduisant les identifiants d'utilisateur et de groupe en noms et vice versa.

Le système obtient la partie utilisateur de la chaîne en effectuant une recherche de mot de passe ou de groupe. Le mécanisme de recherche est configuré dans /etc/idmapd.conf

Par défaut, la partie domaine de la chaîne est le nom de domaine DNS du système. Elle peut être aussi indiquée dans /etc/idmapd.conf si le système possède plusieurs fournisseurs d’accès (multihoming) ou si le nom de domaine DNS du système ne correspond pas au nom de domaine Kerberos du système.

Quand le domaine n’est pas précisé dans /etc/idmapd.conf, le serveur DNS local sera interrogé pour l’enregistrement textuel de _nfsv4idmapdomain. Si l’enregistrement existe, il sera utilisé comme domaine. S’il n’existe pas, la partie domaine du domaine DNS sera utilisée.

Remarquez que sur les plus récents noyaux, seul le serveur NFSv4 utilise rpc.idmapd. Le client NFSv4 utilise plutôt nfsidmap(8) et revient seulement à idmapd s’il existe un problème lors de l’exécution du programme nfsidmap(8).

Les options sont les suivantes :

-h  Afficher un message d'utilisation.

-v  Augmenter le niveau de verbosité de la sortie (peut être demandée plusieurs fois).

-f  Lancer idmapd en tâche de premier plan et afficher les sorties sur le terminal.

-p chemin
    Indiquer que le système de fichiers RPC pipefs est situé à chemin. Par défaut, il s'agit de « /var/lib/nfs/rpc_pipefs ».

-c chemin
    Utiliser le fichier de configuration chemin. Cette option est obsolète.

-C  Pour les clients uniquement : n'exécuter de mappage pour aucun serveur NFS, même si un est détecté.

-S  Pour les serveurs uniquement : n'exécuter de mappage pour aucun client NFS, même si un est détecté.

FICHIERS DE CONFIGURATION
idmapd reconnait les valeurs suivantes de la section [general] du fichier de configuration /etc/nfs.conf :

pipefs-directory
    Équivalent à -p.

Tous les autres réglages relatifs au mappage d’Id sont trouvés dans le fichier de configuration /etc/idmapd.conf.

EXEMPLES
rpc.idmapd -f -vvv

Lancer idmapd en affichant tous les messages sur la console avec un niveau de détails de 3.

FICHIERS
/etc/idmapd.conf, /etc/nfs.conf

VOIR AUSSI
idmapd.conf(5), nfs.conf(5), nfsidmap(8)

AUTEURS
Le programme idmapd a été développé par Marius Aamodt Eriksen <marius@citi.umich.edu>.

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.